#ifndef _CORE_SYSCALL_STAT_H_ /**********************************************************************************/
#define _CORE_SYSCALL_STAT_H_

/****************************************************************************************************************/

#include <core/syscall.h>

_syscall2(int, stat, const char *, pathname, struct stat *, buf);
_syscall2(int, lstat, const char *, pathname, struct stat *, buf);
_syscall2(int, fstat, int, fd, struct stat *, buf);
_syscall4(int, fstatat, int, dirfd, const char *, path, struct stat *, buf, int, flags);
_syscall2(int, mkfifo, const char *, pathname, mode_t, mode);
_syscall3(int, mknod, const char *, pathname, mode_t, mode, dev_t, dev);
_syscall2(int, chmod, const char *, pathname, mode_t, mode);
_syscall2(int, fchmod, int, fildes, mode_t, mode);
_syscall1(int, umask, mode_t, newmask);

/****************************************************************************************************************/
#endif
